package cn.ibizlab.core.uaa.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.Data;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.core.uaa.domain.SYS_PERMISSION;
/**
 * 关系型数据实体[SYS_PERMISSION] 查询条件对象
 */
@Slf4j
@Data
public class SYS_PERMISSIONSearchContext extends QueryWrapperContext<SYS_PERMISSION> {

	private String n_sys_permissionid_like;//[资源标识]
	public void setN_sys_permissionid_like(String n_sys_permissionid_like) {
        this.n_sys_permissionid_like = n_sys_permissionid_like;
        if(!ObjectUtils.isEmpty(this.n_sys_permissionid_like)){
            this.getSelectCond().like("sys_permissionid", n_sys_permissionid_like);
        }
    }
	private String n_sys_permissionname_like;//[资源名称]
	public void setN_sys_permissionname_like(String n_sys_permissionname_like) {
        this.n_sys_permissionname_like = n_sys_permissionname_like;
        if(!ObjectUtils.isEmpty(this.n_sys_permissionname_like)){
            this.getSelectCond().like("sys_permissionname", n_sys_permissionname_like);
        }
    }
	private String n_systemid_eq;//[系统标识]
	public void setN_systemid_eq(String n_systemid_eq) {
        this.n_systemid_eq = n_systemid_eq;
        if(!ObjectUtils.isEmpty(this.n_systemid_eq)){
            this.getSelectCond().eq("systemid", n_systemid_eq);
        }
    }
	private String n_permissiontype_eq;//[资源类别]
	public void setN_permissiontype_eq(String n_permissiontype_eq) {
        this.n_permissiontype_eq = n_permissiontype_eq;
        if(!ObjectUtils.isEmpty(this.n_permissiontype_eq)){
            this.getSelectCond().eq("permissiontype", n_permissiontype_eq);
        }
    }
	private Integer n_enable_eq;//[逻辑有效]
	public void setN_enable_eq(Integer n_enable_eq) {
        this.n_enable_eq = n_enable_eq;
        if(!ObjectUtils.isEmpty(this.n_enable_eq)){
            this.getSelectCond().eq("enable", n_enable_eq);
        }
    }
	private String n_pssourcetype_eq;//[来源]
	public void setN_pssourcetype_eq(String n_pssourcetype_eq) {
        this.n_pssourcetype_eq = n_pssourcetype_eq;
        if(!ObjectUtils.isEmpty(this.n_pssourcetype_eq)){
            this.getSelectCond().eq("pssourcetype", n_pssourcetype_eq);
        }
    }
	private String n_pssourcename_like;//[来源名称]
	public void setN_pssourcename_like(String n_pssourcename_like) {
        this.n_pssourcename_like = n_pssourcename_like;
        if(!ObjectUtils.isEmpty(this.n_pssourcename_like)){
            this.getSelectCond().like("pssourcename", n_pssourcename_like);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
			this.getSelectCond().or().like("sys_permissionname",query);
		 }
	}
}




